## frescobaldi 2.18.1+ds1

=== frescobaldi_app/po/Makefile ===
# Makefile that builds the MO files

# The python interpreter
PYTHON = python

potfile = frescobaldi.pot

pofiles = $(wildcard *.po)
mofiles = $(patsubst %.po,%.mo,$(pofiles))


all: $(mofiles)


$(pofiles): $(potfile)
	msgmerge -U $@ $< && touch $@

$(potfile):
	$(PYTHON) update-pot.py

$(mofiles): %.mo: %.po
	msgfmt -o $@ $<
	$(PYTHON) molint.py $@

=== debian/changelog ===
frescobaldi (2.18.1+ds1-3) unstable; urgency=high

  * Acknowledge Ubuntu upload (2.18.1+ds1-2ubuntu1) with upstream fix:
     - fix-typeerror-qbrush.diff: Fix failure on startup (LP: #1513757)
       TypeError: QPen(): argument 1 has unexpected type QBrush
    Thank you, Timo Aaltonen!
  * Add DEP-3 header fields to fix-typeerror-qbrush.diff
  * Remove obsolete debian/menu: Upstream already contains a superior
    frescobaldi.desktop, and per the tech-ctte decision on #741573,
    the equivalent Debian menu file should be removed.
    See https://lists.debian.org/debian-devel-announce/2015/09/msg00000.html
    for details.  (Fixes Lintian W: command-in-menu-file-and-desktop-file)

 -- Anthony Fok <foka@debian.org>  Sat, 21 Nov 2015 00:41:34 -0700

frescobaldi (2.18.1+ds1-2ubuntu1) xenial; urgency=medium

  * fix-typeerror-qbrush.diff: Fix failure on startup. (LP: #1513757)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Nov 2015 10:47:17 +0200

frescobaldi (2.18.1+ds1-2) unstable; urgency=high

  * Patch /usr/bin/frescobaldi to search in /usr/share/frescobaldi
    for Frescobaldi's private Python modules.
    This fixes the "frescobaldi fails to run" bug which I introduced
    in the Debian packaging of 2.18.1+ds1-1 when I decided to move
    Frescobaldi's Python module directory.

 -- Anthony Fok <foka@debian.org>  Tue, 15 Sep 2015 16:06:02 -0600

frescobaldi (2.18.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Built with Python 3.
  * Build-Depends and Depends on the new python3-ly package.
  * Install Frescobaldi modules to private directory /usr/share/frescobaldi
    instead of /usr/lib/python3/dist-packages.
  * Revise debian/copyright:
     - Correct Lintian errors
     - List the full licenses for LPPL-1.3c and SISSL-1.1
     - Move special explanations from License to Comment
     - Update upstream author's email address
  * Update package description with new translated languages, namely
    Brazillian Portuguese and Ukrainian.
  * Add Lintian override for obsolete-url-in-packaging.

 -- Anthony Fok <foka@debian.org>  Tue, 15 Sep 2015 13:48:28 -0600

=== debian/control ===
Source: frescobaldi
Section: editors
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
 Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9),
 dh-python,
 python3 (>= 3.2),
 python3-ly
Standards-Version: 3.9.6
X-Python3-Version: >= 3.2
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/frescobaldi/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/frescobaldi/trunk/
Homepage: http://www.frescobaldi.org/

Package: frescobaldi
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 lilypond,
 python3-ly,
 python3-poppler-qt4,
 python3-pyqt4,
 tango-icon-theme
Suggests: lilypond-doc, hyphen-hyphenation-patterns
Description: Qt4 LilyPond sheet music editor
 Frescobaldi is a LilyPond sheet music editor, with the following features:
  * Enter LilyPond scores, then build and preview them with a mouseclick
  * Powerful text editor with syntax highlighting and automatic completion
  * Point-and-click support: click on notes or on error messages to jump to the
    corresponding position in the LilyPond file
  * Midi player to proof-listen LilyPond-generated MIDI files
  * Powerful Score Wizard to quickly setup a music score
  * Snippet Manager to store and apply text snippets, templates or scripts
  * Use multiple versions of LilyPond, automatically selects the correct version
  * Built-in LilyPond documentation browser and built-in Frescobaldi User Guide
  * Translated into Dutch, English, French, German, Italian, Czech, Russian,
    Spanish, Galician, Turkish, Polish, Brazillian Portuguese and Ukrainian.
 .
 Frescobaldi also includes the following music functions:
  * Transpose music
  * Change music from relative to absolute and vice versa
  * Change the language used for note names
  * Change the rhythm (double, halve, add/remove dots, copy, paste) etc
  * Hyphenate lyrics using word-processor hyphenation dictionaries
  * Add spanners, dynamics, articulation easily using the Quick Insert panel
  * Update LilyPond syntax using convert-ly, with display of differences
 .
 In order to use lyric hyphenation, please install your languages' appropriate
 hyphenation packages, e.g. hyphen-fr for French, hyphen-ca for Catalan, etc.
 .
 Frescobaldi is the Qt4 successor of LilyKDE, a Kate plugin for KDE3.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_OPTIONS = nocheck
export PYBUILD_NAME = frescobaldi
export PYBUILD_INSTALL_ARGS = --install-lib=/usr/share/frescobaldi

%:
	dh $@ --with python3 --buildsystem=pybuild

.PHONY: get-orig-source
get-orig-source:
	XZ_OPT=-e uscan --noconf --verbose --destdir=$(CURDIR) \
	                --repack --compression xz

.DEFAULT_GOAL :=

## frescobaldi 3.0.0~git20161001.0.eec60717+ds1

=== debian/changelog ===
frescobaldi (3.0.0~git20161001.0.eec60717+ds1-2) unstable; urgency=medium

  * Change "Depends: lilypond" to "Recommends: lilypond" since LilyPond
    is not absolutely necessary for Frescobaldi to run, but moreover,
    to get Frescobaldi into Debian "stretch" (testing), i.e. the upcoming
    Debian 9.0 stable release, in case lilypond does not make it into
    "stretch".  See http://bugs.debian.org/746005 for details.

 -- Anthony Fok <foka@debian.org>  Thu, 29 Dec 2016 13:52:18 -0700

frescobaldi (3.0.0~git20161001.0.eec60717+ds1-1) unstable; urgency=medium

  * New upstream snapshot of the future Frescobaldi 3.0.0 release
    which is now fully migrated to Python 3 and Qt 5.
    Incidentally, this allows Frescobaldi to enter Debian 9 (stretch)
    where Qt 4's WebKit has been removed.  (Closes: #784610)

 -- Anthony Fok <foka@debian.org>  Sat, 17 Dec 2016 06:55:19 -0700

frescobaldi (2.19.0+ds1-2) unstable; urgency=medium

  * Update package description according to http://frescobaldi.org/.
    Existing features that I previously overlooked include
    "MIDI capturing to enter music" and "MusicXML, MIDI and ABC import".
  * Add "Enhances: lilypond".

 -- Anthony Fok <foka@debian.org>  Thu, 15 Dec 2016 14:28:27 -0700

frescobaldi (2.19.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Use secure URI for Vcs-Browser field in debian/control (Lintian).
  * Update years and fix duplicate "the" in debian/copyright (Lintian).

 -- Anthony Fok <foka@debian.org>  Sun, 13 Nov 2016 03:09:08 -0700

frescobaldi (2.18.2+ds1-2) unstable; urgency=medium

  * Add missing dependency on libportmidi0 or its future equivalents
    "python3-pypm" or "python3-pygame".  This fixes the bug that I
    introduced in 2.18.1+ds1-1 when I decided to switch to Python 3
    but neglected this dependency.  Special thanks to Emmanuel Castro
    for reporting this bug on Launchpad.  (LP: #1572566)
  * Bump Standards-Version to 3.9.8 (no change)
  * Add "repack" and "compression=xz" to debian/watch,
    and adjust debian/rules accordingly.

 -- Anthony Fok <foka@debian.org>  Sun, 13 Nov 2016 02:37:56 -0700

frescobaldi (2.18.2+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to use frescobaldi-2.18.2.tar.gz that the upstream
    author specifically packaged and provided sha256sum rather than
    v2.18.2.tar.gz that is automatically packaged by GitHub and contains
    large and unneeded GIMP XCF image files.
  * Remove previously applied upstream patch fix-typeerror-qbrush.diff
    which is now an integral part of Frescobaldi version 2.18.2.

 -- Anthony Fok <foka@debian.org>  Sat, 26 Dec 2015 21:31:35 -0700

## frescobaldi 3.0.0+ds1

=== debian/changelog ===
frescobaldi (3.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 3.0.0 official release.
  * Update debian/copyright for 2017.

 -- Anthony Fok <foka@debian.org>  Wed, 08 Mar 2017 16:02:39 -0700

=== debian/control ===
Source: frescobaldi
Section: editors
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
           Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3 (>= 3.2),
               python3-ly
Standards-Version: 3.9.8
X-Python3-Version: >= 3.2
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/frescobaldi/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/frescobaldi/trunk/
Homepage: http://www.frescobaldi.org/

Package: frescobaldi
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-ly,
         python3-poppler-qt5 (>= 0.24.2-3),
         python3-pypm | libportmidi0 | python3-pygame,
         python3-pyqt5,
         python3-pyqt5.qtsvg,
         python3-pyqt5.qtwebkit,
         tango-icon-theme
Recommends: lilypond
Suggests: lilypond-doc, hyphen-hyphenation-patterns
Enhances: lilypond
Description: LilyPond sheet music text editor
 Frescobaldi is a LilyPond sheet music editor.  It aims to be powerful,
 yet lightweight and easy to use.  Frescobaldi is Free Software, freely
 available under the GNU General Public License.
 .
 Features:
 .
  * Powerful text editor with syntax highlighting and automatic completion
  * Music view with advanced Point & Click
  * MIDI player to proof-listen LilyPond-generated MIDI files
  * MIDI capturing to enter music
  * Powerful Score Wizard to quickly setup a music score
  * Snippet Manager to store and apply text snippets, templates or scripts
  * Use multiple versions of LilyPond, automatically selects the correct version
  * Built-in LilyPond documentation browser and built-in Frescobaldi User Guide
  * Smart layout-control functions like coloring specific objects in the PDF
  * MusicXML, MIDI and ABC import
  * Modern user interface with configurable colors, fonts and keyboard shortcuts
  * Translated into Dutch, English, French, German, Italian, Czech, Russian,
    Spanish, Galician, Turkish, Polish, Brazillian Portuguese and Ukrainian.
 .
 Music functions:
 .
  * Transpose music
  * Change music from relative to absolute and vice versa
  * Change the language used for note names
  * Change the rhythm (double, halve, add/remove dots, copy, paste) etc.
  * Hyphenate lyrics using word-processor hyphenation dictionaries
  * Add spanners, dynamics, articulation easily using the Quick Insert panel
  * Update LilyPond syntax using convert-ly, with display of differences
 .
 In order to use lyric hyphenation, please install your languages' appropriate
 hyphenation packages, e.g. hyphen-fr for French, hyphen-ca for Catalan, etc.
 .
 Frescobaldi is designed to run on all major operating systems (Linux, macOS
 and MS Windows).  It is named after Girolamo Frescobaldi (1583-1643), an
 Italian composer of keyboard music in the late Renaissance and early Baroque
 period.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_OPTIONS = nocheck
export PYBUILD_NAME = frescobaldi
export PYBUILD_INSTALL_ARGS = --install-lib=/usr/share/frescobaldi

%:
	dh $@ --with python3 --buildsystem=pybuild

.PHONY: get-orig-source get-pre-release-orig-source
get-orig-source:
	XZ_OPT=-9e uscan --noconf --verbose --destdir=$(CURDIR)

PKG := frescobaldi
GIT_REPO := https://github.com/wbsoft/frescobaldi.git
FUTURE_VERSION := 3.0.0

get-pre-release-orig-source:
	git clone $(GIT_REPO)
	cd $(PKG) \
	&& COMMIT_DATE=$$(TZ=Etc/UTC git log --pretty=format:%cd --date=format-local:%Y%m%d -n1) \
	&& COMMIT_HASH=$$(git describe --long | cut -d- -f3 | cut -b2-) \
	&& VER=$(FUTURE_VERSION)~git$$COMMIT_DATE.0.$$COMMIT_HASH \
	&& git archive --format=tar.gz --prefix $(PKG)-$$VER/ HEAD \
		>../$(PKG)-$$VER.tar.gz \
	&& cd .. \
	&& XZ_OPT=-9e mk-origtargz --version $$VER \
		--rename --repack --repack-suffix +ds1 --compression xz \
		$(PKG)-$$VER.tar.gz
	rm -rf $(PKG)

.DEFAULT_GOAL :=

=== debian/watch ===
version=3
opts="dversionmangle=s/\+ds\d*$//,repack,repacksuffix=+ds1,compression=xz" \
  https://github.com/wbsoft/frescobaldi/releases .*/frescobaldi-(\d\S*)\.tar\.gz

## frescobaldi 3.1.2+ds1

=== debian/changelog ===
frescobaldi (3.1.2+ds1-1) unstable; urgency=medium

  [ Ryan Kavanagh ]
  * New upstream version 3.1.2+ds1
    + Update copyright file with new holders and new file locations
  * Add missing dependency on python3-pyqt5.qtwebengine (Closes: #953409)
  * Set Rules-Requires-Root: no
  * Bump compat level to 13
  * Let gbp-dch parse meta information
  * Configure gbp to use pristine-tar
  * Extend debian/upstream/metadata with repository info
  * Override package-contains-documentation-outside-usr-share-doc
  * Added missing build-depedency on python3-setuptools

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database.

 -- Ryan Kavanagh <rak@debian.org>  Tue, 26 May 2020 09:48:54 -0400

frescobaldi (3.1.1+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Anthony Fok ]
  * New upstream version 3.1.1
  * Apply "cme fix dpkg" fixes:
    - Organize debian/control fields
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.5.0 (no change)
  * Depend on python3-pygame instead of the nonexistent python3-pypm
  * Update debian/copyright
  * Refresh debian/patches/private-module-directory.patch

 -- Anthony Fok <foka@debian.org>  Wed, 04 Mar 2020 19:41:00 -0700

frescobaldi (3.0.0+ds1-2) unstable; urgency=medium

  * Migrate package sources from SVN on alioth to Git on salsa and update the
    Vcs-* entries accordingly in debian/control

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Ryan Kavanagh ]
  * Added missing build-dependency on python3-distutils (Closes: #896755)
  * Bump standards version to 4.1.4
  * Set PAPT as maintainer and move myself to uploaders

 -- Ryan Kavanagh <rak@debian.org>  Thu, 26 Apr 2018 13:29:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,35 @@
 Source: frescobaldi
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Ryan Kavanagh <rak@debian.org>,
+           Anthony Fok <foka@debian.org>
 Section: editors
 Priority: optional
-Maintainer: Ryan Kavanagh <rak@debian.org>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
-           Anthony Fok <foka@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3 (>= 3.2),
-               python3-ly
-Standards-Version: 3.9.8
-X-Python3-Version: >= 3.2
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/frescobaldi/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/frescobaldi/trunk/
-Homepage: http://www.frescobaldi.org/
+               python3,
+               python3-ly,
+               python3-setuptools,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/python-team/applications/frescobaldi
+Vcs-Git: https://salsa.debian.org/python-team/applications/frescobaldi.git
+Homepage: https://www.frescobaldi.org/
 
 Package: frescobaldi
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-ly,
-         python3-poppler-qt5 (>= 0.24.2-3),
-         python3-pypm | libportmidi0 | python3-pygame,
+         python3-poppler-qt5,
+         python3-pygame,
          python3-pyqt5,
          python3-pyqt5.qtsvg,
+         python3-pyqt5.qtwebengine,
          python3-pyqt5.qtwebkit,
          tango-icon-theme
 Recommends: lilypond
-Suggests: lilypond-doc, hyphen-hyphenation-patterns
+Suggests: lilypond-doc,
+          hyphen-hyphenation-patterns
 Enhances: lilypond
 Description: LilyPond sheet music text editor
  Frescobaldi is a LilyPond sheet music editor.  It aims to be powerful,

## frescobaldi 3.1.3+ds1

=== frescobaldi_app/symbols/Makefile ===
# Makefile

# Which LilyPond executable to use
LILYPOND=~/lilypond_bin/2.18.0-1/bin/lilypond

# Make .svg files from .ly files
lys = $(wildcard *.ly)
svgs = $(patsubst %.ly,%.svg,$(lys))

all: $(svgs)

$(svgs): %.svg: %.ly
	$(LILYPOND) -dbackend=svg -ddelete-intermediate-files -dno-point-and-click $<

# Make some lilypond images also depend on the files they include
$(patsubst %.ly,%.svg,$(wildcard arpeggio_*.ly)): arpeggio_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard articulation_*.ly)): articulation_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard bar_*.ly)): bar_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard breathe_*.ly)): breathe_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard clef_*.ly)): clef_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard dynamic_*.ly)): dynamic_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard glissando_*.ly)): glissando_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard note_*.ly)): note_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard spanner_*.ly)): spanner_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard system_start_*.ly)): system_start_defaults.ily
$(patsubst %.ly,%.svg,$(wildcard time_*.ly)): time_defaults.ily

# Other dependencies
arpeggio_defaults.ily: icon_defaults.ily
articulation_defaults.ily: icon_defaults.ily
bar_defaults.ily: icon_defaults.ily
breathe_defaults.ily: icon_defaults.ily
clef_defaults.ily: icon_defaults.ily
dynamic_defaults.ily: icon_defaults.ily
glissando_defaults.ily: icon_defaults.ily
note_defaults.ily: icon_defaults.ily
spanner_defaults.ily: icon_defaults.ily
system_start_defaults.ily: icon_defaults.ily
time_defaults.ily: icon_defaults.ily

.PHONY: all

=== debian/changelog ===
frescobaldi (3.1.3+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Anthony Fok ]
  * New upstream version 3.1.3
  * Bump Standards-Version to 4.5.1 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 01 Feb 2021 17:29:01 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: frescobaldi
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ryan Kavanagh <rak@debian.org>,
            Anthony Fok <foka@debian.org>
 Section: editors
@@ -9,10 +9,10 @@
                python3,
                python3-ly,
                python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/python-team/applications/frescobaldi
-Vcs-Git: https://salsa.debian.org/python-team/applications/frescobaldi.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/frescobaldi
+Vcs-Git: https://salsa.debian.org/python-team/packages/frescobaldi.git
 Homepage: https://www.frescobaldi.org/
 
 Package: frescobaldi

## frescobaldi 3.2+ds1

=== debian/changelog ===
frescobaldi (3.2+ds1-1~ubuntu0.22.04.1) jammy; urgency=medium

  * Update to upstream version 3.2 for compatibility with python 3.10.
    LP: #1993213.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 25 Oct 2022 05:46:46 +0000

frescobaldi (3.2+ds1-1) unstable; urgency=medium

  * New upstream version 3.2+ds1
    Thanks to Frédéric Moinard for the bug report about "frescobaldi:
    fails to start" due to Python 3.10 changes (Closes: #1009369)
  * Reorder fields in debian/control and debian/copyright
  * Bump Standards-Version to 4.6.1 (no change)
  * Refresh debian/patches/private-module-directory.patch
  * Add dependency on python3-qpageview.
    Thanks to Jean Baptiste Favre for packaging it! (See #1012051)
  * Add "Recommends: fluidsynth" in debian/control
    so that MIDI playback works out of the box

 -- Anthony Fok <foka@debian.org>  Sun, 05 Jun 2022 04:33:35 -0600

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: frescobaldi
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Section: editors
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ryan Kavanagh <rak@debian.org>,
            Anthony Fok <foka@debian.org>
-Section: editors
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-ly,
                python3-setuptools,
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/frescobaldi
 Vcs-Git: https://salsa.debian.org/python-team/packages/frescobaldi.git
 Homepage: https://www.frescobaldi.org/
@@ -26,8 +27,10 @@
          python3-pyqt5.qtsvg,
          python3-pyqt5.qtwebengine,
          python3-pyqt5.qtwebkit,
+         python3-qpageview,
          tango-icon-theme
-Recommends: lilypond
+Recommends: lilypond,
+            fluidsynth
 Suggests: lilypond-doc,
           hyphen-hyphenation-patterns
 Enhances: lilypond

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_OPTIONS = nocheck
+export DEB_BUILD_OPTIONS += nocheck
 export PYBUILD_NAME = frescobaldi
 export PYBUILD_INSTALL_ARGS = --install-lib=/usr/share/frescobaldi

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
    https://github.com/wbsoft/frescobaldi/releases \
    (?:.*?/)@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## frescobaldi 3.3.0%2Bds1

=== i18n/Makefile ===
# Makefile that builds the MO files
#
# The strings from the application are in the frescobaldi.pot file,
# while the strings from the user guide are in the userguide.pot file.
# The MO files combine all the translations in one file per language.
#
# Usage:
#
#      make pot           # (re)create frescobaldi.pot and userguide.pot
#
#      make               # update all the po and mo files (target all)
#


# The python interpreter
PYTHON = python3

# directory where the MO files should go:
modir = ../frescobaldi_app/i18n

potfile = frescobaldi.pot
userguidepotfile = userguide.pot

# We want translation of the userguide to be optional.
# That's why we have two sets of PO files and two lists as LINGUAS files.
languages = $(shell cat frescobaldi/LINGUAS)
userguide_languages = $(shell cat userguide/LINGUAS)
pofiles = $(patsubst %,frescobaldi/%.po,$(languages))
userguidepofiles = $(patsubst %,userguide/%.po,$(userguide_languages))

mofiles = $(patsubst %,$(modir)/%.mo,$(languages))

all: mo

pot:
	$(PYTHON) ./update-pot.py

frescobaldi: $(pofiles)
userguide: $(userguidepofiles)
mo: $(mofiles)

$(pofiles): $(potfile)
	-msgmerge -U $@ $<
	sed -i '/^#: /{ s, ../, ../../,g; s, messages, ../messages,g;}' $@

$(userguidepofiles): $(userguidepotfile)
	-msgmerge -U $@ $<
	sed -i '/^#: /{ s, ../, ../../,g; s, messages, ../messages,g;}' $@

# one MO file is created from both the frescobaldi/LL.po and userguide/LL.po
$(mofiles): $(modir)/%.mo: frescobaldi/%.po userguide/%.po
	msgcat -o - $^ | msgfmt -o $@ -
	$(PYTHON) molint.py $@

## frescobaldi 3.3.0+ds1

=== linux/Makefile ===
TOP_SRCDIR=..
APP_ID=org.frescobaldi.Frescobaldi

.PHONY: all clean validate

all: $(APP_ID).desktop $(APP_ID).metainfo.xml

%.desktop: %.desktop.in
	msgfmt --desktop -d $(TOP_SRCDIR)/i18n/frescobaldi --template $< -o $@

%.metainfo.xml: %.metainfo.xml.in
	msgfmt --xml -d $(TOP_SRCDIR)/i18n/frescobaldi --template $< -o $@

validate:
	desktop-file-validate --no-hints $(APP_ID).desktop
	appstream-util validate $(APP_ID).metainfo.xml

clean:
	rm $(APP_ID).{desktop,metainfo.xml}

=== debian/changelog ===
frescobaldi (3.3.0+ds1-2) unstable; urgency=medium

  * Depend on python3-pyqt5.qtwebengine for supported architectures only.
    QtWebEngine (qtwebengine-opensource-src) is currently built only for
    [amd64 arm64 armhf i386 mips64el mipsel] (riscv64 to come) due to V8 JIT;
    see https://bugzilla.redhat.com/show_bug.cgi?id=1298011.
    The frescobaldi binary package is changed from all to any accordingly.
    Frescobaldi is fully functional without QtWebEngine except the built-in
    browser for LilyPond documentation.
  * Add "Restrictions: allow-stderr" to debian/tests/control
    as Frescobaldi (Qt) emits a harmless "This plugin does not support
    createPlatformOpenGLContext!" message when testing on armhf.

 -- Anthony Fok <foka@debian.org>  Sun, 23 Apr 2023 11:35:29 -0600

frescobaldi (3.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 3.3.0+ds1
  * Update debian/watch to make it work again
  * Revert "Add patch to fix PyQT compatibility"
    which is now included as part of Frescobaldi 3.3.0 release.
  * Replace dh "--with python3" flag
    with build-dependency on dh-sequence-python3
  * Update versioned dependencies: lilypond >= 2.24.1, python3-ly >= 0.9.5
  * Bump Standards-Version to 4.6.2 (no change)
  * Remove get-orig-source and get-pre-release-orig-source targets
    from debian/rules, and update debian/README.source to recommend the use
    of "gbp import-orig" to fetch new upstream source tarball.
  * Revert to installing frescobaldi to /usr/lib/python3/dist-packages
    instead of the custom /usr/share/frescobaldi directory.
    debian/patches/private-module-directory.patch is now removed.
  * debian/rules: Run "make -C i18n; make -C linux" as specified in INSTALL
  * Refresh Lintian overrides
  * Add autopkgtest

 -- Anthony Fok <foka@debian.org>  Fri, 21 Apr 2023 15:54:26 -0600

frescobaldi (3.2+ds1-2) unstable; urgency=high

  * Team upload

  [ Jean Baptiste Favre ]
  * Add patch to fix PyQT compatibility (Closes: #1028414)

 -- Bastian Germann <bage@debian.org>  Sat, 04 Feb 2023 16:48:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: frescobaldi
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ryan Kavanagh <rak@debian.org>,
            Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
-               python3-ly,
+               python3-ly (>= 0.9.5),
                python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/frescobaldi
 Vcs-Git: https://salsa.debian.org/python-team/packages/frescobaldi.git
 Homepage: https://www.frescobaldi.org/
 
 Package: frescobaldi
-Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         python3-ly,
+Architecture: any
+Depends: python3-ly (>= 0.9.5),
          python3-poppler-qt5,
          python3-pygame,
          python3-pyqt5,
          python3-pyqt5.qtsvg,
-         python3-pyqt5.qtwebengine,
+         python3-pyqt5.qtwebengine [amd64 arm64 armhf i386 mips64el mipsel],
          python3-pyqt5.qtwebkit,
          python3-qpageview,
-         tango-icon-theme
-Recommends: lilypond,
+         tango-icon-theme,
+         ${misc:Depends},
+         ${python3:Depends}
+Recommends: lilypond (>= 2.24.1),
             fluidsynth
 Suggests: lilypond-doc,
           hyphen-hyphenation-patterns

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_OPTIONS += nocheck
export PYBUILD_NAME := frescobaldi
export PYBUILD_INSTALL_ARGS := --install-layout=deb

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	$(MAKE) -C i18n
	$(MAKE) -C linux

execute_after_dh_auto_clean:
	$(MAKE) -C i18n clean || :
	$(MAKE) -C linux clean || :

=== debian/tests/control ===
Test-Command: QT_QPA_PLATFORM=offscreen XDG_RUNTIME_DIR=$AUTOPKGTEST_TMP/runtime-$USER frescobaldi --version-debug
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/frescobaldi/frescobaldi/tags .*/v?(\d\S*)\.tar\.gz
